//
//  OpenCVBlobTrackPlugin.h
//  OpenCVBlobTrack
//
//  Created by Jeroen Bouma on 10/21/11.
//  Copyright 2011 iPhonk. All rights reserved.
//

#import <Quartz/Quartz.h>

@interface OpenCVBlobTrackPlugIn : QCPlugIn {
@private
    NSMutableDictionary* previousBlobs;
}

/*
Declare here the properties to be used as input and output ports for the plug-in e.g.
@property double inputFoo;
@property(assign) NSString* outputBar;
You can access their values in the appropriate plug-in methods using self.inputFoo or self.inputBar
*/

@property(assign) double inputDivideSizeBy;
@property(assign) id<QCPlugInInputImageSource> inputImage;
@property(assign) double inputMovementThreshold;
@property(assign) double inputBlobSizeThreshold;

@property(assign) NSDictionary* outputBlobCoordinates;

@end

@interface BlobData : NSObject {
@private
    double x;
    double y;
}

@property (assign) double x;
@property (assign) double y;

- (id) initWithX:(double)x y:(double)y;

@end